import xml.etree.ElementTree as ET
import csv

tree = ET.parse("sample.qxw")
root = tree.getroot()
namespace = {"qlc": "http://www.qlcplus.org/Workspace"}
Patch_data = open('PatchData.csv', 'w')

csvwriter = csv.writer(Patch_data)
patch_head = []

for engine in root.findall(".//qlc:Engine", namespace):
    count = 0
    print (engine.tag)
    for fx in engine.findall("qlc:Fixture", namespace):
        patch = []

        if count == 0:
            brand = fx.find('qlc:Manufacturer', namespace).tag
            patch_head.append(brand.split('}')[1])
            model = fx.find('qlc:Model', namespace).tag
            patch_head.append(model.split('}')[1])
            mode = fx.find('qlc:Mode', namespace).tag
            patch_head.append(mode.split('}')[1])
            fxid = fx.find('qlc:ID', namespace).tag
            patch_head.append(fxid.split('}')[1])
            name = fx.find('qlc:Name', namespace).tag
            patch_head.append(name.split('}')[1])
            univ = fx.find('qlc:Universe', namespace).tag
            patch_head.append(univ.split('}')[1])
            addr = fx.find('qlc:Address', namespace).tag
            patch_head.append(addr.split('}')[1])
            channels = fx.find('qlc:Channels', namespace).tag
            patch_head.append(channels.split('}')[1])
            csvwriter.writerow(patch_head)
            count = count + 1

        brand = fx.find('qlc:Manufacturer', namespace).text
        patch.append(brand)
        model = fx.find('qlc:Model', namespace).text
        patch.append(model)
        mode = fx.find('qlc:Mode', namespace).text
        patch.append(mode)
        fxid = fx.find('qlc:ID', namespace).text
        patch.append(fxid)
        name = fx.find('qlc:Name', namespace).text
        patch.append(name)
        univ = int(fx.find('qlc:Universe', namespace).text) + 1
        patch.append(univ)
        addr = int(fx.find('qlc:Address', namespace).text) + 1
        patch.append(addr)
        channels = fx.find('qlc:Channels', namespace).text
        patch.append(channels)

        csvwriter.writerow(patch)



Patch_data.close()
